## Name

ABORT — abort the current transaction

## Synopsis

    ABORT [ WORK | TRANSACTION ]

## Description

`ABORT` rolls back the current transaction and causes all the updates made by the transaction to be discarded. This command is identical in behavior to the standard SQL command ROLLBACK, and is present only for historical reasons.

## Parameters

`WORK`
`TRANSACTION`

  Optional key words. They have no effect.

## Notes

Use COMMIT to successfully terminate a transaction.

Issuing `ABORT` when not inside a transaction does no harm, but it will provoke a warning message.

## Examples

To abort all changes:

    ABORT;

## Compatibility

This command is a PostgreSQL extension present for historical reasons. `ROLLBACK` is the equivalent standard SQL command.

## See Also

BEGIN, COMMIT, ROLLBACK